export interface ColumnItem {
  aggregateEnable: boolean;
  businessTableId: string;
  charset: string;
  cn_name: string;
  defaultValue: any;
  displayEnable: boolean;
  displayOrder: number;
  en_name: string;
  groupByEnable: boolean;
  id: string;
  isAggregateEnable: boolean;
  isDisplayEnable: boolean;
  isGroupByEnable: boolean;
  isLinkEnable: boolean;
  isOrderByEnable: boolean;
  isPreDefined: boolean;
  isRequired: boolean;
  isUnique: boolean;
  isWhereEnable: boolean;
  linkEnable: boolean;
  maxLength: number;
  name: string;
  orderByEnable: boolean;
  preDefined: boolean;
  precision: number;
  required: boolean;
  scale: number;
  schemaName: string;
  type: number;
  unique: boolean;
  whereEnable: boolean;
}

export interface ViewTable {
  aliasName: string;
  creationTime: string;
  creatorUserId: string;
  displayOrder: number;
  id: string;
  isDeleted: boolean;
  langDescription: string;
  langName: string;
  name: string;
  parentBusinessTableId: string;
  schemaName: string;
  tableExtInfoDto: {
    groupType: string;
    height: number;
    id: string;
    style: Record<string, any>;
    width: number;
    x: number;
    y: number;
  };
  type: number;
  updateTime: string;
}
